Please use evince as viewer instead of xdvi and xpdf in geany

Bug #398708 reported by Sandro Mani on 2009-07-13
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
geany (Debian)
Fix Released
Unknown
geany (Ubuntu)
Low
Unassigned

Bug Description

The default settings for the latex file type use xdvi and xpdf as viewers. Evince is more user friendly and better integrated and should be used instead. This can be achived by modifying the last lines of
 /usr/share/geany/filetypes.latex
to
 run_cmd=evince "%f"
 run_cmd2=evince "%f"

Related branches

Andreas Moog (ampelbein) wrote :

I agree, evince is in the standard install while xpdf/xdvi are not so having evince as the default is a very nice suggestion. I attached a branch fixing that.

Changed in geany (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Changed in geany (Debian):
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package geany - 0.20-0ubuntu2

---------------
geany (0.20-0ubuntu2) natty; urgency=low

  * debian/patches/20_use_evince_viewer.dpatch:
    - use evince as viewer for pdf and dvi files (LP: #398708)
  * debian/patches/20_use_x_terminal_emulator.dpatch:
    - use x-terminal-emulator as terminal (LP: #282972)
      thanks to levu for the patch.
  * debian/control
    - add geany-plugins to Suggests (LP: #709691)
 -- Andreas Moog <email address hidden> Fri, 11 Mar 2011 20:06:54 +0100

Changed in geany (Ubuntu):
status: Triaged → Fix Released
Changed in geany (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.